Announcement

Announcement Module
Collapse
No announcement yet.

unknown variable error: innodb_adaptive_hash_partitions

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • unknown variable error: innodb_adaptive_hash_partitions

    Hi,
    I can't start the latest Percona server downloaded from Launchpad(source code) with this option,
    --innodb_adaptive_hash_partitions=8
    Am I missing something here ?
    Thanks,
    Hiromichi

    ----------------------------------------------------------
    120131 16:00:43 mysqld_safe Starting mysqld daemon with databases from /usr/local/paralleluniverse-0.1/data
    120131 16:00:43 [Note] Flashcache bypass: disabled
    120131 16:00:43 [Note] Flashcache setup error is : open flash device failed

    120131 16:00:43 [Note] Plugin 'FEDERATED' is disabled.
    120131 16:00:43 InnoDB: The InnoDB memory heap is disabled
    120131 16:00:43 InnoDB: Mutexes and rw_locks use GCC atomic builtins
    120131 16:00:43 InnoDB: Compressed tables use zlib 1.2.3
    120131 16:00:43 InnoDB: Using Linux native AIO
    120131 16:00:43 InnoDB: Initializing buffer pool, size = 1.0G
    120131 16:00:43 InnoDB: Completed initialization of buffer pool
    120131 16:00:43 InnoDB: highest supported file format is Barracuda.
    120131 16:00:43 InnoDB: Waiting for the background threads to start
    120131 16:00:44 Percona XtraDB (http://www.percona.com) 1.1.8-20.1 started; log sequence number 1604009568
    120131 16:00:44 [ERROR] /usr/local/mysql/bin/mysqld: unknown variable 'innodb-adaptive-hash-partitions=8'
    120131 16:00:44 [ERROR] Aborting

    120131 16:00:44 InnoDB: Starting shutdown...
    120131 16:00:49 InnoDB: Shutdown completed; log sequence number 1604009568
    120131 16:00:49 [Note] /usr/local/mysql/bin/mysqld: Shutdown complete

    120131 16:00:49 mysqld_safe mysqld from pid file /usr/local/paralleluniverse-0.1/data/desktop-intel.localdoma in.pid ended

  • #2
    Did you get Percona xtradb or Percona Server? You need Percona Server 5.5.8-20.0 or newer.

    Comment


    • #3
      Hi gmouse,
      Thank you for your reply.
      I got Percona-Server-5.5.19-rel24.0 which is the latest source from Launchpad.
      Thanks,
      Hiromichi

      Comment


      • #4
        Maybe it is just me, but in your title you say

        innodb_adaptive_hash_partitions

        but in your error log snippet it says

        innodb-adaptive-hash-partitions

        Is this just a case of underscores and not hashes or vice versa?

        Mike Taylor

        Comment


        • #5
          Hi Mike,
          Thank you for your reply.
          Yes I know what you're saying, even though I typed innodb_adaptive_hash_partitions, the error message says innodb-adaptive-hash-partitions. (I don't know why, is this the root of the problem ?)
          Thanks,
          Hiromichi

          Comment


          • #6
            This seems to be a documentation bug, variable name is:

            innodb_adaptive_hash_index_partitions

            Documentation should be updated shortly.

            Comment


            • #7
              Hi hrvojem,
              Thank you for your reply.
              The variable name did work, I owe you one.
              Have a nice day !
              Hiromichi

              Comment

              Working...
              X